标签存档: 安装

mysql 5.5 不重装增加shpinx引擎

项目需要使用到shpinx,网上找到的都是新安装MYSQL+shpinx的多,但 …

继续阅读 »

hadoop分布式云服务器安装

/etc/sysconfig/i18n en_US.UTF-8 以下是原始笔记, …

继续阅读 »

解决安装imagick时Cannot locate header file MagickWand.h的错误

今天在新服上安装php imagick,

环境如下:
php 5.3.20
ImageMagick-6.8.3-8
imagick-3.1.0RC2
可是出错了一个问题.就是死说找不到MagickWand.h:

checking for MagickWand.h header file… configure: error: Cannot locate header file MagickWand.h

可是我明明正确安装了ImageMagick的呀.GOOGLE了半天,也解决不了这个问题.后面对照另一个服务器上的ImageMagick才发现,原来ImageMagick 6.8这个版后的目录结构变了,旧版本头文件是放在/usr/local/include/ImageMagick目录的,而ImageMagick 6.8则是放在/usr/local/include/ImageMagick-6

添加软连接

命令如下:

ln -s /usr/local/include/ImageMagick-6 /usr/local/include/ImageMagick

后来发现imagick-3.1.0RC2编译不通过,于是降低版本,使用imagick-3.01

make && make && install

搞掂!

更新:

最终解决方法:

yum install pkgconfig

export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/

rm -rf Makefile config.status config.h

./configure

make

make install

继续阅读 »

Linux+Nginx+PHP+MySQL+MemCached+eaccelerator安装优化记录

近日,某论坛因发展需要,增加了一台服务器,他们装好系统,叫我帮安装服务器环境,数据同步处理并希望做到负载均衡等。以下为过程记录。中间可能会有些过程被跳过,本来想写成教程的,但是年关已近,实在是太多事情需要处理。现只能先把记录发上来,以后看有没有时间重新整理成教程。

需要安装的软件:

Web服务器软件:Nginx 1.0.11
FCGI:PHP 5.2.17
数据库:MySQL 5.1.x(服务器A),MySQL 5.5(服务器B)
服务器优化:MemCached,eaccelerator,google-perftools
实时同步软件:rsync,inotify-tools

以下是两服务器可以相同的操作记录:

继续阅读 »

Linux下安装胜过GD的ImageMagic教程

ImageMagic是一个图片处理/转换工具,后起之秀.具有更好的转换效率和更好的效果,因而它比常用的GD更好!GD虽然常见也常用,但它的转换效果,特别是小图的效果肯定比不上ImageMagic!

下面说下如何安装ImageMagic的教程:

wget ftp://ftp.fifi.org/pub/ImageMagick/ImageMagick-6.7.2-1.tar.gz
tar xvfz ImageMagick-6.7.2-1.tar.gz
cd ImageMagick-6.7.2-1
./configure
make
sudo make install
sudo ldconfig /usr/local/lib

继续阅读 »

在CentOS Linux上Nginx安装教程

Nginx 安装教程:

wget http://nginx.org/download/nginx-1.0.1.tar.gz
tar xzvf nginx-1.0.1.tar.gz
cd nginx-1.0.1
useradd www

./configure –user=www –group=www –prefix=/usr/local/nginx \
–with-http_stub_status_module \
–with-http_ssl_module –with-openssl= \
–with-http_addition_module \
–with-zlib= –with-google_perftools_module

make

make install

需要注意的是,本教程中使用到–with-google_perftools_module,也就是GOOGLE开发的内存管理加速模块,需要安装google的perftools才能使用,如果发现无法安装,请使用以下配置:

继续阅读 »